#@TYPE: Machine
#@NAME: iPAQ hx2xxx
#@DESCRIPTION: Machine configuration for the hx2000 iPAQs with a pxa27x CPU 

TARGET_ARCH = "arm"
PACKAGE_EXTRA_ARCHS = "armv4 armv4t armv5te iwmmxt  "

PREFERRED_PROVIDER_virtual/kernel = "linux-rp"

PREFERRED_VERSION_orinoco-modules = "0.15rc1"

ROOT_FLASH_SIZE = "80"

EXTRA_IMAGECMD_jffs2 = "; sumtool -i ${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs.jffs2 \
			  -o ${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs-summary.jffs2 \
			  -e 256KiB -p"

IMAGE_FSTYPES ?= "jffs2 tar.bz2"

MODUTILS = "26"	

MACHINE_FEATURES = "kernel26 touchscreen apm alsa pcmcia bluetooth irda wifi usbgadget usbhost screen vfat"

PCMCIA_MANAGER = "pcmciautils"

SERIAL_CONSOLE = "115200 ttyS0"

MACHINE_GUI_CLASS = "smallscreen"
MACHINE_DISPLAY_WIDTH_PIXELS = "240"
MACHINE_DISPLAY_HEIGHT_PIXELS = "320"

# Use tune-xscale per default. Machine independent feeds should be built with tune-strongarm.
require conf/machine/include/tune-xscale.inc

# Uncomment this to use iwmmxt optimizations. Remove the above xscale stuff first
#require conf/machine/include/tune-iwmmxt.inc

module_autoload_evdev = "evdev"
module_autoload_pcmcia = "pcmcia"
module_autoload_mmc_block = "mmc_block"
module_autoload_snd-pcm-oss = "snd-pcm-oss"
module_autoload_snd-mixer-oss = "snd-mixer-oss"
module_autoload_pxa27x_udc = "pxa27x_udc"

#FIXME: this should be controlled by a userspace utility later.
module_autoload_g_ether = "g_ether"

# Don't include kernels in standard images
RDEPENDS_kernel-base = ""
KERNEL_IMAGETYPE = "zImage"
